commit:     1651b899657f5e6e040060a62697d147dbdd333a
Author:     Jauhien Piatlicki <jauhien <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  7 16:42:35 2014 +0000
Commit:     Jauhien Piatlicki <jauhien <AT> gentoo <DOT> org>
CommitDate: Sun Sep  7 16:42:35 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=1651b899

sci-mathematics/cadabra: version bump

---
 sci-mathematics/cadabra/ChangeLog                  |   8 +-
 sci-mathematics/cadabra/cadabra-1.39.ebuild        |  88 +++++++++++
 .../cadabra/files/cadabra-1.39-FLAGS.patch         | 171 +++++++++++++++++++++
 3 files changed, 266 insertions(+), 1 deletion(-)

diff --git a/sci-mathematics/cadabra/ChangeLog 
b/sci-mathematics/cadabra/ChangeLog
index e630f20..02b272a 100644
--- a/sci-mathematics/cadabra/ChangeLog
+++ b/sci-mathematics/cadabra/ChangeLog
@@ -1,7 +1,13 @@
 # ChangeLog for sci-mathematics/cadabra
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*cadabra-1.39 (07 Sep 2014)
+
+  07 Sep 2014; Jauhien Piatlicki <[email protected]> +cadabra-1.39.ebuild,
+  +files/cadabra-1.39-FLAGS.patch:
+  version bump
+
 *cadabra-1.33 (19 Sep 2013)
 
   19 Sep 2013; François Bissey <[email protected]>

diff --git a/sci-mathematics/cadabra/cadabra-1.39.ebuild 
b/sci-mathematics/cadabra/cadabra-1.39.ebuild
new file mode 100644
index 0000000..e64962f
--- /dev/null
+++ b/sci-mathematics/cadabra/cadabra-1.39.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="5"
+
+inherit eutils texlive-common
+
+DESCRIPTION="Field-theory motivated computer algebra system"
+HOMEPAGE="http://cadabra.phi-sci.com";
+SRC_URI="http://cadabra.phi-sci.com/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples X test"
+
+CDEPEND="
+       sci-libs/modglue
+       sci-mathematics/lie
+       dev-libs/gmp[cxx]
+       dev-libs/libpcre
+       X? (
+               x11-libs/gtk+:2
+               dev-cpp/gtkmm:2.4
+               dev-cpp/pangomm:1.4
+               app-text/dvipng )"
+DEPEND="${CDEPEND}
+       doc? (
+               app-doc/doxygen
+               dev-texlive/texlive-latexextra
+               || ( app-text/texlive-core dev-tex/pdftex ) )
+       test? ( sys-process/time )"
+RDEPEND="${CDEPEND}
+       virtual/latex-base
+       dev-texlive/texlive-latexrecommended"
+
+src_prepare(){
+       # fixing the flag mess
+       epatch "${FILESDIR}/${P}-FLAGS.patch"
+}
+
+src_configure(){
+       econf $(use_enable X gui) \
+               --disable-runtime-dependency-check
+}
+
+src_compile() {
+       default
+
+       if use doc; then
+               cd "${S}/doc"
+               emake
+               cd doxygen/latex
+               emake pdf
+       fi
+}
+
+src_install() {
+       # cadabra strip binaries unless you are on OS X.
+       # So faking it to avoid outright stripping.
+       emake DESTDIR="${D}" DEVDESTDIR="${D}" MACTEST=1 install
+
+       dodoc AUTHORS ChangeLog INSTALL
+
+       if use doc;     then
+               cd "${S}/doc/doxygen"
+               dohtml html/*
+               dodoc latex/*.pdf
+       fi
+
+       if use examples; then
+               dodoc -r "${S}/examples/"
+       fi
+
+       rm -rf "${D}/usr/share/TeXmacs" || die
+}
+
+pkg_postinst() {
+       etexmf-update
+       elog "This version of the cadabra ebuild is still under development."
+       elog "Help us improve the ebuild in:"
+       elog "http://bugs.gentoo.org/show_bug.cgi?id= 194393"
+}
+
+pkg_postrm() {
+       etexmf-update
+}

diff --git a/sci-mathematics/cadabra/files/cadabra-1.39-FLAGS.patch 
b/sci-mathematics/cadabra/files/cadabra-1.39-FLAGS.patch
new file mode 100644
index 0000000..2f18edb
--- /dev/null
+++ b/sci-mathematics/cadabra/files/cadabra-1.39-FLAGS.patch
@@ -0,0 +1,171 @@
+--- Makefile.in
++++ Makefile.in
+@@ -24,7 +24,7 @@
+       ( cd src && $(MAKE) static );
+ 
+ profile:
+-      ( export CFLAGS=-pg && export LDFLAGS=-pg && cd src && $(MAKE) );
++      ( export CFLAGS="$(CFLAGS) -pg" && CXXFLAGS="$(CXXFLAGS) -pg" && cd src 
&& $(MAKE) );
+ 
+ doc:
+       ( cd doc && $(MAKE) );
+--- gui/Makefile.in
++++ gui/Makefile.in
+@@ -8,26 +8,26 @@
+ static: xcadabra_static
+ 
+ OBJS   = help.o widgets.o window.o main.o ../src/stopwatch.o
+-CFLAGS = -O2 -I. -I@top_srcdir@/include `pkg-config modglue --cflags` 
`pkg-config --cflags gtkmm-2.4` \
++MCXXFLAGS = -O2 $(CXXFLAGS) -I. -I@top_srcdir@/include `pkg-config modglue 
--cflags` `pkg-config --cflags gtkmm-2.4` \
+          `pkg-config --cflags pango`
+ SRCS   = `find . -name "*.cc"`
+ TIMESTAMP = -D"RELEASE=\"${RELEASE}\"" -D"DATETIME=\"`date | sed -e 's/  / 
/'`\"" -DHOSTNAME=\"`hostname`\"
+ 
+ %.o: %.cc
+-      @CXX@ -Wall @CFLAGS@ -D"DESTDIR=\"@prefix@\"" ${TIMESTAMP} ${CFLAGS} -c 
-o $@ $<
++      @CXX@ -Wall $(MCXXFLAGS) -D"DESTDIR=\"@prefix@\"" ${TIMESTAMP} -c -o $@ 
$<
+ 
+ main.o: $(OBJS) Makefile
+ 
+ xcadabra: $(OBJS)
+-      @CXX@ -o xcadabra $+ `pkg-config modglue --libs` `pkg-config --libs 
gtkmm-2.4` -lpcrecpp
++      @CXX@ $(MCXXFLAGS) -o xcadabra $+ $(LDFLAGS) `pkg-config modglue 
--libs` `pkg-config --libs gtkmm-2.4` -lpcrecpp
+ 
+ xcadabra_static: $(OBJS)
+-      @CXX@ -o xcadabra -static $+  -L@prefix@/lib `pkg-config modglue 
--libs` \
++      @CXX@ $(MCXXFLAGS) -o xcadabra -static $+  $(LDFLAGS) -L@prefix@/lib 
`pkg-config modglue --libs` \
+                     `pkg-config --libs gtkmm-2.4` `pkg-config libxml++-2.6` \
+                     -lpthread -lexpat
+ 
+ test_texit: texit.o test_texit.o
+-      @CXX@ -o test_texit `pkg-config modglue --libs` `pkg-config --libs 
gtkmm-2.4` $+ 
++      @CXX@ $(MCXXFLAGS) -o test_texit `pkg-config modglue --libs` 
`pkg-config --libs gtkmm-2.4` $+ 
+ 
+ install:
+ ifeq ($(strip $(MACTEST)),)
+@@ -50,7 +50,7 @@
+ .depend:
+       rm -f .depend
+       for i in ${SRCS}; \
+-              do    g++ -E -MM -MT `echo $$i | sed -e 's/\.\///' -e 
's/\.cc/\.o/'` ${CFLAGS} $$i >> .depend; \
++              do    g++ -E -MM -MT `echo $$i | sed -e 's/\.\///' -e 
's/\.cc/\.o/'` ${MCXXFLAGS} $$i >> .depend; \
+               done
+ 
+ include .depend
+diff -u -r cadabra-1.39.orig/src/Makefile.in cadabra-1.39/src/Makefile.in
+--- src/Makefile.in
++++ src/Makefile.in
+@@ -22,12 +22,13 @@
+ 
+ SRCS      = `find . -name "*.cc"`
+ MCFLAGS   = @CFLAGS@ -I. -I@top_srcdir@/src `pkg-config modglue --cflags`
++MCXXFLAGS = @CXXFLAGS@ -I. -I@top_srcdir@/src `pkg-config modglue --cflags`
+ TIMESTAMP = -D"RELEASE=\"${RELEASE}\"" -D"DATETIME=\"`date | sed -e 's/  / 
/'`\"" -DHOSTNAME=\"`hostname`\"
+ 
+ 
+ 
+ %.o: %.cc
+-      @CXX@ ${MCFLAGS} ${TIMESTAMP} -c -o $@ $<
++      @CXX@ ${MCXXFLAGS} ${TIMESTAMP} -c -o $@ $<
+ 
+ # modules/xperm.o: modules/xperm.c
+ #     @CC@ @NESTED@ ${MCFLAGS} ${TIMESTAMP} -c -o $@ $<
+@@ -42,10 +43,10 @@
+ 
+ ifeq ($(strip $(MACTEST)),)
+ cadabra: $(OBJS) $(MOBJS)
+-      @CXX@ -o cadabra ${LDFLAGS} -Wl,--as-needed $+ `pkg-config modglue 
--libs` -lgmpxx -lpcrecpp -lgmp
++      @CXX@ -o cadabra ${MCXXFLAGS} ${LDFLAGS} -Wl,--as-needed $+ `pkg-config 
modglue --libs` -lgmpxx -lpcrecpp -lgmp
+ else
+ cadabra: $(OBJS) $(MOBJS)
+-      @CXX@ -o cadabra ${LDFLAGS} -Wl,-dead_strip_dylibs $+ `pkg-config 
modglue --libs` -lgmpxx -lpcrecpp -lgmp
++      @CXX@ -o cadabra ${MCXXFLAGS} ${LDFLAGS} -Wl,-dead_strip_dylibs $+ 
`pkg-config modglue --libs` -lgmpxx -lpcrecpp -lgmp
+ endif
+ 
+ #`pkg-config glib-2.0 --libs` 
+@@ -53,15 +54,15 @@
+ 
+ cadabra_static: $(OBJS) $(MOBJS)
+       rm -f main.o
+-      @CXX@ -Wall -g ${MCFLAGS} ${TIMESTAMP} -DSTATICBUILD -c -o main.o 
main.cc
++      @CXX@ -Wall -g ${MCXXFLAGS} ${TIMESTAMP} -DSTATICBUILD -c -o main.o 
main.cc
+ ifeq ($(strip $(MACTEST)),)
+-      @CXX@ -o cadabra -static $+ ${LDFLAGS} `pkg-config modglue --libs` 
-lmodglue \
++      @CXX@ -o cadabra -static ${MCXXFLAGS} $+ ${LDFLAGS} `pkg-config modglue 
--libs` -lmodglue \
+                              -lgmpxx -lgmp -lpcrecpp -lpcre \
+                              `pkg-config sigc++-2.0 --libs` -lsigc-2.0 -lutil
+ 
+ else
+       export MACOSX_DEPLOYMENT_TARGET=10.3
+-      @CXX@ -o cadabra $+ ${LDFLAGS} `pkg-config modglue --libs` \
++      @CXX@ -o cadabra ${MCXXFLAGS} $+ ${LDFLAGS} `pkg-config modglue --libs` 
\
+           -lgmp -lgmpxx -lpcre++ -lpcre -lexpect
+ endif
+ 
+@@ -77,32 +78,32 @@
+ #     @CXX@ -c -o defaults.o defaults.cc
+ 
+ test_tree: test_tree.o 
+-      @CXX@ -o test_tree test_tree.o
++      @CXX@ ${MCXXFLAGS} -o test_tree test_tree.o
+ 
+ test_lie: test_lie.o modules/lie.o
+ ifeq ($(strip $(MACTEST)),)
+-      @CXX@ -o test_lie test_lie.o modules/lie.o `pkg-config --libs modglue`
++      @CXX@ ${MCXXFLAGS} -o test_lie test_lie.o modules/lie.o `pkg-config 
--libs modglue`
+ else
+-      @CXX@ -o test_lie test_lie.o modules/lie.o `pkg-config --libs modglue`
++      @CXX@ ${MCXXFLAGS} -o test_lie test_lie.o modules/lie.o `pkg-config 
--libs modglue`
+ endif
+ 
+ tree_regression_tests: tree_regression_tests.o 
+-      @CXX@ -o tree_regression_tests tree_regression_tests.o
++      @CXX@ ${MCXXFLAGS} -o tree_regression_tests tree_regression_tests.o
+ 
+ #test_xperm: test_xperm.o modules/xperm_new.o
+ #     @CXX@ -o test_xperm test_xperm.o modules/xperm_new.o
+ 
+ tree_example: tree_example.o tree.hh
+-      @CXX@ -o tree_example tree_example.o
++      @CXX@ ${MCXXFLAGS} -o tree_example tree_example.o
+ 
+ test_combinatorics: test_combinatorics.o combinatorics.o
+-      @CXX@ -o test_combinatorics test_combinatorics.o combinatorics.o
++      @CXX@ ${MCXXFLAGS} -o test_combinatorics test_combinatorics.o 
combinatorics.o
+ 
+ test_young: test_young.o youngtab.o combinatorics.o
+-      @CXX@ -o test_young test_young.o youngtab.o combinatorics.o ${LDFLAGS} 
-lgmpxx -lgmp
++      @CXX@ ${MCXXFLAGS} -o test_young test_young.o youngtab.o 
combinatorics.o ${LDFLAGS} -lgmpxx -lgmp
+ 
+ test_preprocessor: test_preprocessor.o preprocessor.o
+-      @CXX@ -o test_preprocessor test_preprocessor.o preprocessor.o 
${LDFLAGS} -lgmpxx -lgmp
++      @CXX@ ${MCXXFLAGS} -o test_preprocessor test_preprocessor.o 
preprocessor.o ${LDFLAGS} -lgmpxx -lgmp
+ 
+ mpi_pass_tree: mpi_pass_tree.o
+       @CXX@ -o mpi_pass_tree mpi_pass_tree.o -L/usr/lib/mpich/lib -lmpich++ 
-lpmpich -lmpich
+@@ -133,13 +134,13 @@
+ # Then the actual compilation.
+ 
+ lex.yy.o: lex.yy.c parser2.tab.h
+-      @CXX@ -c -o lex.yy.o lex.yy.c
++      @CXX@ ${MCXXFLAGS} -c -o lex.yy.o lex.yy.c
+ 
+ parser2.tab.o: parser2.tab.c
+-      @CXX@ -c -o parser2.tab.o parser2.tab.c
++      @CXX@ ${MCXXFLAGS} -c -o parser2.tab.o parser2.tab.c
+ 
+ parser2: parser2.tab.o lex.yy.o storage.o props.o 
+-      @CXX@ -o parser2 $+ -ll -ly -lgmpxx -lgmp -lpcrecpp
++      @CXX@ ${MCXXFLAGS} -o parser2 $+ -ll -ly -lgmpxx -lgmp -lpcrecpp
+ 
+ 
+ 
+@@ -170,7 +171,7 @@
+ .depend:
+       rm -f .depend
+       for i in ${SRCS}; \
+-              do    @CXX@ ${MCFLAGS} -E -MM -MT `echo $$i | sed -e 's/\.\///' 
-e 's/\.cc/\.o/'` ${CFLAGS} $$i >> .depend; \
++              do    @CXX@ ${MCXXFLAGS} -E -MM -MT `echo $$i | sed -e 
's/\.\///' -e 's/\.cc/\.o/'` ${CXXFLAGS} $$i >> .depend; \
+               done
+ 
+ include .depend

Reply via email to